Bug 1305411 - Operation CREATE USER failed for 'glance|keystone|cinder|neutron|nova' in overcloud update
Operation CREATE USER failed for 'glance|keystone|cinder|neutron|nova' in ove...
Status: CLOSED DUPLICATE of bug 1304061
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Jiri Stransky
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 00:30 EST by Ronnie Rasouli
Modified: 2016-04-26 15:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-08 10:09:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
controller error running heat deployment-show (44.33 KB, text/plain)
2016-02-08 00:30 EST, Ronnie Rasouli
no flags Details

  None (edit)
Description Ronnie Rasouli 2016-02-08 00:30:10 EST
Created attachment 1122076 [details]
controller error running heat deployment-show

Description of problem:

Updating a working environment of RHOS8 to latest puddle failed.

The update command.

/usr/bin/yes '' | openstack overcloud update stack overcloud -i \
--templates ~/templates/my-overcloud \
-e ~/templates/my-overcloud/overcloud-resource-registry-puppet.yaml \
-e ~/templates/my-overcloud/environments/network-isolation.yaml \
-e ~/templates/my-overcloud/environments/puppet-pacemaker.yaml  \
-e ~/templates/network-environment.yaml \
-e ~/templates/firstboot-environment.yaml \
-e ~/templates/snmpd.yaml 

Failed with status code: 6 |

snmpd.yaml was created by http://etherpad.corp.redhat.com/ospd-ceilo-bugs

It worked in deployment before then I don't think it is related with failures

Version-Release number of selected component (if applicable):

OpenStack-8.0-RHEL-7 Puddle: 2016-02-04.2

openstack-tripleo-heat-templates-0.8.7-2.el7ost.noarch
openstack-heat-engine-5.0.1-1.el7ost.noarch
openstack-tripleo-heat-templates-0.8.7-2.el7ost.noarch
openstack-nova-compute-12.0.1-2.el7ost.noarch


How reproducible:
100%

Steps to Reproduce:
1. update the undercloud, rhos-release 8 + yum update
2. run the command for updating the nodes
3. wait... the update eventually fails

Actual results:

openstack fails to update the puddle from previous version to latest

Expected results:

openstack update finish successfully 

Additional info:

yaml files and installation process are in http://file.tlv.redhat.com/~rrasouli/rhos8
Comment 2 Zane Bitter 2016-02-08 10:09:35 EST

*** This bug has been marked as a duplicate of bug 1304061 ***

Note You need to log in before you can comment on or make changes to this bug.